import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import Map02 from "@/views/Map02.vue";
import Map03_max from "@/views/Map03_max.vue";
import Map04 from "@/views/Map04_SH.vue";
import Map05_GZ from "@/views/Map05_GZ.vue";
import Map06_NK from "@/views/Map06_NK.vue";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/map2',
      name: 'map2',
      component: Map02
    },
    {
      path: '/map3',
      name: 'map3',
      component: Map03_max
    },
    {
      path: '/map4',
      name: 'map4',
      component: Map04
    },
    {
      path: '/map5',
      name: 'map5',
      component: Map05_GZ
    },
    {
      path: '/map6',
      name: 'map6',
      component: Map06_NK
    }

  ]
})

export default router
